<?php
class AddedTemplateIdsToBrandsCategoriesAndProductsFixedCategoryBodyField extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'Added_template_ids_to_brands_categories_and_products_fixed_category_body_field';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'ev_shop_brands' => array(
					'template_id' => array('type' => 'integer', 'null' => true, 'default' => null, 'length' => 10, 'unsigned' => false, 'after' => 'is_active'),
				),
				'ev_shop_categories' => array(
					'template_id' => array('type' => 'integer', 'null' => true, 'default' => null, 'length' => 10, 'unsigned' => false, 'after' => 'sequence'),
				),
				'ev_shop_products' => array(
					'template_id' => array('type' => 'integer', 'null' => true, 'default' => null, 'length' => 10, 'unsigned' => false, 'after' => 'tax_level_id'),
				),
			),
			'alter_field' => array(
				'ev_shop_categories' => array(
					'body' => array('type' => 'text', 'null' => true, 'default' => null, 'collate' => 'utf8mb4_general_ci', 'charset' => 'utf8mb4'),
				),
			),
		),
		'down' => array(
			'drop_field' => array(
				'ev_shop_brands' => array('template_id'),
				'ev_shop_categories' => array('template_id'),
				'ev_shop_products' => array('template_id'),
			),
			'alter_field' => array(
				'ev_shop_categories' => array(
					'body' => array('type' => 'string', 'null' => true, 'default' => null, 'length' => 45, 'collate' => 'utf8mb4_general_ci', 'charset' => 'utf8mb4'),
				),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function after($direction) {
		return true;
	}
}
